// HelloImpl.java

import HelloApp.*;
import org.omg.CORBA.*;
import org.omg.PortableServer.*;
import org.omg.PortableServer.POA;

import java.util.Properties;

public class HelloImpl extends HelloPOA {
  private ORB orb;
  private String language;
  
  // constructor
  public HelloImpl(){
	  setLanguage("en");
  }

  // constructor
  public HelloImpl(String language){
	  setLanguage(language);
  }

  public void setORB(ORB orb) {
    this.orb = orb; 
  }

  public String getLanguage() {
    return language; 
  }

  public void setLanguage(String language) {
    this.language=language; 
  }
    
  // implement sayHello() IDL operation
  public String sayHello(String name) {
    if(language.equals("fr")){
	    return "\nSalut "+name+" !!\n";
    } else     if(language.equals("it")){
	    return "\nCiao "+name+" !!\n";
    } else     if(language.equals("es")){
	    return "\nHola "+name+" !!\n";
    } else     if(language.equals("en-us")){
	    return "\nHi "+name+" !!\n";
    } else     if(language.equals("de")){
	    return "\nHallo "+name+" !!\n";
    } else {
	    return "\nHello "+name+" !!\n"; 
    }
  }
  
  // implement  shutdown() IDL operation
  public void shutdown() {
    if(orb!=null) orb.shutdown(false);
  }
}



